<template>
  <v-app class="patientsByWards">
    <div class="patientsByWards__title">
      <h1>Распределение пациентов</h1>
    </div>

    <!--Поиск пациента-->
    <v-text-field class="patientsByWards__search" v-model="search" append-icon="mdi-magnify" label="Поиск.." single-line
                  hide-details></v-text-field>

    <!--Таблица-->
    <v-data-table
        :headers="headers"
        :items="patientsByWards"
        :search="search"
        class="patientsByWards__table"
    >
    </v-data-table>
  </v-app>
</template>

<script>
import axios from "axios";

export default {
  name: "DistributionPatientsByWard",
  data() {
    return {
      patientsByWards: [],
      search: '',

      headers: [
        {
          text: 'Фамилия',
          value: 'patient.surname',
          sortable: false
        },
        {
          text: 'Имя',
          value: 'patient.name',
          sortable: false
        },
        {
          text: 'Отчество',
          value: 'patient.fatherName',
          sortable: false
        },
        {
          text: 'Отделение',
          value: 'ward.division.name',
          sortable: false
        },
        {
          text: 'Палата',
          value: 'ward.name',
          sortable: false
        },
        {
          text: 'Количество мест',
          value: 'ward.placesCount',
        },
      ]
    }
  },

  mounted() {
    this.fetchPatientByWard()
  },

  methods: {
    async fetchPatientByWard() {
      axios
          .get(this.$root.globalVar + '/medical_card')
          .then(response => {
            this.patientsByWards = response.data
          })
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: сервер отключен.')
          })
    },
  }
}
</script>

<style lang="scss" scoped>
.patientsByWards {
  &__title {
    text-align: center;
    margin: 60px 0 30px 0;
  }

  &__search {
    width: 50%;
    margin: 0 auto;
  }

  &__table {
    width: 70%;
    margin: 0 auto;
  }
}

.v-text-field {
  flex: 0.2 0 !important;
  margin-top: 30px;
}
</style>